Bug 96678 - Add Hotkeys to Each Font Effect Option
Summary: Add Hotkeys to Each Font Effect Option
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: needDevEval target:7.2.0
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2015-12-23 04:58 UTC by Joel Madero
Modified: 2021-03-10 10:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2015-12-23 04:58:26 UTC
BOdhi Moksha
Version: 5.2.0.0.alpha0+
Build ID: 5df326438fd3a5613a52b4de1935426911ff1301

1) alt + o;
2) alt + c;
3) Font Effect tab

Observed: No underlines under any character indicating hotkeys (might be a bug..not sure)

4) push and hold alt

Observed: Many of the options have hotkeys (available by pushing alt+[relevant key]) but some do not. Examples of one that does is strikethrough (s is underlined)

Request:
Add hotkeys for following:
*Font Color;
*Effects;
*Relief
*Overlining;
*Underlining
*Overline Color

Requesting dev eval to see if it can be an easy hack.
Comment 1 Cor Nouws 2015-12-23 13:19:46 UTC
Sure this is an easy hack.
Comment 2 Ming Hua 2020-11-26 00:06:01 UTC
For quite some time (at least since 6.2 series), LibreOffice has been generating hotkeys for UI items automatically, so all the options on this tab have hotkeys now.  This is at least the default behavior on Windows, not sure about other platforms, but should be configurable.

Joel, would you please check with a new version of LO (6.4 and 7.0 are the currently supported "Still" and "Fresh" series), and see if this bug is solved for you?
Comment 3 Commit Notification 2021-01-05 14:18:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d67bb09840ccd4ceb6f532d3e466635ef5c6d199

tdf#96678 Add accelerators to Font Effects tab page

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-03-10 10:45:20 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 72841008bf422dfd8553240b3a78f0474d03523c
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded Jumbo